Subject: bug#18478: [Patch] Mention the return value of `clone-indirect-buffer'

From: Drew Adams <[email-masked]>
Date: Wed, 17 Sep 2014 18:47:01 -0700 (PDT)

> >> I've attached a suggestion for mentioning the return value for
> >> `clone-indirect-buffer'. Please let me know what you think.
> >
> > Looks OK to me.  You can also simplify it to just "Returns...".
> 
> Certainly, if that has your preference.

I have no preference.  And my preference doesn't count for anything.
I just reported the bug.

> I just thought that because it is a new paragraph and the ones
>  before it talk about the meanings of the arguments it would be
> clearer to explicitly state it's about the function.

Yes, but I don't see any chance for confusion there.  It is only
the function return value that matters. And arguments do not
"return".  They are evaluated, of course, and their values are
returned by that evaluation.  But we just speak of their "values".

> I actually would have liked to start the docstring off with "Create
> and return ..." as the docstring for `clone-buffer' does, but checkdoc
> then started complaining about the line being more than 80 characters
> long.

FWIW, I don't put a lot of stock in checkdoc, personally. ;-)